SWITCH_ROOT(8)

BEZEICHNUNG
switch_root - zu einem anderen Dateisystem als Wurzel des Einhängebaums wechseln

ÜBERSICHT
switch_root [-hV]

switch_root newroot init [Argumente …]

BESCHREIBUNG
switch_root verschiebt bereits eingehängte /proc-, /dev- und /sys-Verzeichnisse nach newroot, legt dieses als neues Wurzeldateisystem fest und startet den init-Prozess. WARNUNG: switch_root entfernt rekursiv alle Dateien und Verzeichnisse im aktuellen Wurzeldateisystem.

OPTIONEN

-h, --help
    Display help text and exit.

-V, --version
    Display version information and exit.

RÜCKGABEWERT
switch_root gibt 0 bei Erfolg und 1 bei Fehlschlag zurück.

ANMERKUNGEN
switch_root wird scheitern, wenn newroot nicht die Wurzel eines Einhängepunkts ist. Wenn Sie in ein Verzeichnis wechseln wollen, das diese Anforderung nicht erfüllt, können Sie vorher einen bind-basierten Trick beim Einhängen anwenden, um ein Verzeichnis in einen Einhängepunkt umzuwandeln:

    mount --bind $DIR $DIR

SIEHE AUCH
mount(8), chroot(2), init(8), mkinitrd(8)

AUTOREN
Peter Jones <pjones@redhat.com>
Jeremy Katz <katzj@redhat.com>
Karel Zak <kzak@redhat.com>

VERFÜGBARKEIT
Der Befehl switch_root ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.